//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "GoogleForm.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TForm1 *Form1;
//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TForm1::FormCreate(TObject *Sender)
{
  StringGrid1->ColWidths[0] = 20;
  StringGrid1->ColWidths[1] = (StringGrid1->ClientWidth - 55) / 2;
  StringGrid1->ColWidths[2] = StringGrid1->ColWidths[1];
  StringGrid1->ColWidths[3] = 32;
  StringGrid1->Cells[0][0] = (AnsiString)" #";
  StringGrid1->Cells[3][0] = (AnsiString)" KB";
}
//---------------------------------------------------------------------------

void __fastcall TForm1::btnSearchClick(TObject *Sender)
{
  for (int row=1; row<=10; row++)
    for (int col=0; col<=3; col++)
      StringGrid1->Cells[col][row] = ""; // clear StringGrid
  GoogleSearchResult* Results =
    GetGoogleSearchPort()->doGoogleSearch("1WpiIaxr+k+hbyYbRLZOJfg7X9NgI837",
    edtQuery->Text, 0, 10, True, "", True, "lang_en", "latin1", "latin1");
  Caption = IntToStr(Results->estimatedTotalResultsCount) +
    " results in " + FloatToStr(Results->searchTime) + " seconds.";
  for (int i=Results->resultElements.Low;
           i <= Results->resultElements.High; i++)
  {
    StringGrid1->Cells[0][i+1] = IntToStr(i+1);
    StringGrid1->Cells[1][i+1] = Results->resultElements[i]->title;
    StringGrid1->Cells[2][i+1] = Results->resultElements[i]->URL;
    StringGrid1->Cells[3][i+1] = Results->resultElements[i]->cachedSize;
  }
}
//---------------------------------------------------------------------------

void __fastcall TForm1::StringGrid1DblClick(TObject *Sender)
{
  TStringGrid* SG = dynamic_cast<TStringGrid*>(Sender);
  ShellExecute(Handle,"open",SG->Cells[2][SG->Row].c_str(), NULL, 0, SW_NORMAL);
}
//---------------------------------------------------------------------------

