// ************************************************************************ //
// The types declared in this file were generated from data read from the
// WSDL File described below:
// WSDL     : GoogleSearch.wsdl
// Version  : 1.0
// (2002-08-15 14:07:35 - $Revision:   1.0.1.0.1.82  $)
// ************************************************************************ //

#include <vcl.h>
#pragma hdrstop

#if !defined(GoogleSearchH)
#include "GoogleSearch.h"
#endif



namespace NS_GoogleSearch {

_di_GoogleSearchPort GetGoogleSearchPort(bool useWSDL, AnsiString addr)
{
  static const char* defWSDL= "GoogleSearch.wsdl";
  static const char* defURL = "http://api.google.com/search/beta2";
  static const char* defSvc = "GoogleSearchService";
  static const char* defPrt = "GoogleSearchPort";
  if (addr=="")
    addr = useWSDL ? defWSDL : defURL;
  THTTPRIO* rio = new THTTPRIO(0);
  if (useWSDL) {
    rio->WSDLLocation = addr;
    rio->Service = defSvc;
    rio->Port = defPrt;
  } else {
    rio->URL = addr;
  }
  _di_GoogleSearchPort service;
  rio->QueryInterface(service);
  if (!service)
    delete rio;
  return service;
}


__fastcall ResultElement::~ResultElement()
{
  delete FdirectoryCategory;
}

__fastcall GoogleSearchResult::~GoogleSearchResult()
{
  for(int i=0; i<FresultElements.Length; i++)
    if (FresultElements[i])
      delete FresultElements[i];
  for(int i=0; i<FdirectoryCategories.Length; i++)
    if (FdirectoryCategories[i])
      delete FdirectoryCategories[i];
}

// ************************************************************************ //
// This routine registers the interfaces and types used by invoke the SOAP
// Service.
// ************************************************************************ //
static void RegTypes()
{
  /* GoogleSearchPort */
  InvRegistry()->RegisterInterface(__interfaceTypeinfo(GoogleSearchPort), L"urn:GoogleSearch", L"");
  InvRegistry()->RegisterDefaultSOAPAction(__interfaceTypeinfo(GoogleSearchPort), L"urn:GoogleSearchAction");
  /* DirectoryCategory */
  RemClassRegistry()->RegisterXSClass(__classid(DirectoryCategory), L"urn:GoogleSearch", L"DirectoryCategory");
  /* ResultElement */
  RemClassRegistry()->RegisterXSClass(__classid(ResultElement), L"urn:GoogleSearch", L"ResultElement");
  RemClassRegistry()->RegisterXSInfo(__arrayTypeinfo(ResultElementArray), L"urn:GoogleSearch", L"ResultElementArray");
  RemClassRegistry()->RegisterXSInfo(__arrayTypeinfo(DirectoryCategoryArray), L"urn:GoogleSearch", L"DirectoryCategoryArray");
  /* GoogleSearchResult */
  RemClassRegistry()->RegisterXSClass(__classid(GoogleSearchResult), L"urn:GoogleSearch", L"GoogleSearchResult");
}
#pragma startup RegTypes 32

};     // NS_GoogleSearch

 